# lf_bash.m4
# $Id: lf_bash.m4,v 1.2 2001/08/30 18:59:31 matt Exp $
#
# This macro finds the path to bash, and ensures that it is GNU bash.
#
# Taken from the autotools-0.10 package, and modified slightly.
#
# serial 1

AC_DEFUN(LF_PROG_BASH,[
  dnl Look for bash
  AC_PATH_PROG(BASH, bash, no)
  if test "$BASH" = "no"
  then
    AC_MSG_ERROR([can not find a shell! How are you running this script?])
  fi
  dnl Make sure it is bash
  AC_MSG_CHECKING([whether $BASH is GNU bash])
  bash_output=`$BASH -version -c exit | grep GNU`
  if test -n "$bash_output"
  then
    AC_MSG_RESULT(yes)
  else
    AC_MSG_RESULT(no)
    AC_MSG_WARN([you need the GNU bash to build this package correctly!!])
  fi
  AC_SUBST(BASH)
])
